> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readmin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Change user rank



## OpenAPI

````yaml put /ranking/users/{userId}/role/{rankId}
openapi: 3.1.0
info:
  title: ReAdmin API
  version: 1.0.0
  description: ReAdmin developer api
  termsOfService: http://panel.readmin.app/legal/terms/
  contact:
    email: help@readmin.app
  x-fiddle-import-file: true
servers:
  - url: https://api.readmin.app
  - url: https://api.readmin.dev
    description: ReAdmin development API, only usable by ReAdmin developers.
security: []
tags:
  - name: Ranking Key
    description: Information about a key
  - name: Group Shout
    description: Update the group shout
  - name: Join Requests
    description: Get and manage join requests
  - name: Members
    description: Rank and exile members
  - name: Orders
    description: Operations related to orders management
  - name: Workspace
    description: Operations related to orders management
  - description: ''
    name: games
  - description: ''
    name: staff history
  - name: Activity
    description: Staff activity and minutes
  - name: Running Games
    description: Live tracked game servers
  - name: Time Off
    description: View and review time off requests
  - name: Teams
    description: Teams and team membership
  - name: Promotion Requests
    description: View promotion (nomination) requests
  - name: Calls
    description: In-game support calls and live chat
  - name: Sessions v2
    description: >-
      Modern, fully-normalized sessions API. Resources are flat and predictable,
      names are resolved, and lists are filterable and cursor-paginated.
externalDocs:
  description: ReAdmin docs
  url: http://docs.readmin.app
paths:
  /ranking/users/{userId}/role/{rankId}:
    put:
      tags:
        - Members
      summary: Change user rank
      operationId: putRole
      parameters:
        - name: userId
          in: path
          required: true
          schema:
            type: string
        - name: rankId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: true
                  message:
                    type: string
                    enum:
                      - Ranking request completed.
                title: PutRoleOk
        '400':
          description: Missing rankId
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  reason:
                    type: string
                    enum:
                      - Missing rankId
                      - Missing userId
                title: PutRoleBadRequest
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  reason:
                    type: string
                    enum:
                      - Ranking is not enabled for this key.
                title: PutRoleForbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  reason:
                    type: string
                    enum:
                      - Rank not found
                      - User not found.
                title: PutRoleNotFound
        '417':
          description: Roblox error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  reason:
                    type: string
                    enum:
                      - Bot is logged out, action has been marked as failed.
                title: PutRoleExpectationFailed
      security:
        - ranking_key: []
components:
  securitySchemes:
    ranking_key:
      type: apiKey
      name: api-key
      in: header

````